Bug 61838 - [EFL][WK2] Support for EFL port of WebKit2
Summary: [EFL][WK2] Support for EFL port of WebKit2
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 92749 93470 42332 61850 61915 61993 61999 62260 62346 62363 62429 62438 62444 62445 62523 62524 62525 62527 62692 62711 62777 63228 63608 70231 70309 70311 70312 70802 72850 75286 75428 75457 75463 75464 75947 76023 76112 76115 76122 76139 76171 83285 83693 84034 84124 85041 87659 88616 88631 89095 89140 89168 89173 89186 89268 89413 89864 90054 90107 90457 90479 90540 90548 90566 90577 90590 90601 90604 90662 90768 90772 90778 90788 90927 90953 91053 91179 91193 91200 91206 91232 91338 91343 91345 91351 91352 91401 91466 91468 91581 91598 91602 91719 91854 92001 92005 92077 92087 92101 92235 92241 92245 92343 92345 92358 92362 92364 92366 92407 92446 92463 92468 92484 92617 92643 92719 92827 93229 93353 93454 93645 94582 95672 95826 95842 95857 95943 95982 95995 96200 96903 96906 99087 100818 100858 101193 101688 102853
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-01 00:00 PDT by Ryuan Choi
Modified: 2017-03-11 10:33 PST (History)
25 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryuan Choi 2011-06-01 00:00:42 PDT
This is a master bug report for webkit2/EFL and CMAKE build script for it.
Comment 1 Ryuan Choi 2012-04-24 00:52:54 PDT
FYI, I am following both trunk and local changes in https://github.com/bunhere/webkit-mirror.
Comment 2 Thiago Marcos P. Santos 2012-08-07 05:15:59 PDT
At the risk of being pedantic... I see a lot of bugs here for adding new APIs but just a few for adding unit tests for these new APIs. Please let's follow the WebKit guidelines and only land new features (or changes) if they are backed by a tests. Preferable, the unit tests should be at the same patch adding the new feature. 

If you change an API or add a new one, etc: add a unit tests. We have documentation and examples about how to write and run new tests.

http://trac.webkit.org/wiki/EFLWebKitTests
Comment 3 Michael Catanzaro 2017-03-11 10:33:57 PST
Closing this bug because the EFL port has been removed from trunk.

If you feel this bug applies to a different upstream WebKit port and was closed in error, please either update the title and reopen the bug, or leave a comment to request this.